# LiveUpdateContribution

class `praw.models.reddit.live.``LiveUpdateContribution`(update: praw.models.reddit.live.LiveUpdate)

  Provides a set of contribution functions to LiveUpdate.

  `__init__`(update: praw.models.reddit.live.LiveUpdate)

    Create an instance of `LiveUpdateContribution`.

    Parameters

      update – An instance of `LiveUpdate`.

    This instance can be retrieved through `update.contrib` where update is a `LiveUpdate` instance. E.g.,

        thread = reddit.live("ukaeu1ik4sw5")
        update = thread["7827987a-c998-11e4-a0b9-22000b6a88d2"]
        update.contrib  # LiveUpdateContribution instance
        update.contrib.remove()

  `remove`()

    Remove a live update.

    Usage:

        thread = reddit.live("ydwwxneu7vsa")
        update = thread["6854605a-efec-11e6-b0c7-0eafac4ff094"]
        update.contrib.remove()

  `strike`()

    Strike a content of a live update.

        thread = reddit.live("xyu8kmjvfrww")
        update = thread["cb5fe532-dbee-11e6-9a91-0e6d74fabcc4"]
        update.contrib.strike()

    To check whether the update is stricken or not, use `update.stricken` attribute.

    Note

    Accessing lazy attributes on updates (includes `update.stricken`) may raise `AttributeError`. See `LiveUpdate` for details.